Subject: [bug#28045] [PATCH] gnu: Add openfoam

From: Paul Garlick <[email-masked]>
Date: Tue, 22 Aug 2017 18:10:59 +0100

Hi Ludo,

> I think we should introduce a “scotch32” variant (with a clear
> explanation of what the “32” means).

I think this is the most flexible approach.  Packages could then select
the standard 'scotch' or, if preferred, the 'scotch32' variant, if
memory usage or performance is a concern.

A method of implementing this would be for 'scotch32' to inherit the
'scotch' definition, replacing the configure phase with a similar
section specifying INTSIZE32 instead of INTSIZE64.  This would be
similar to the Debian approach, in which a different Makefile.inc is
used for 32-bit and 64-bit integers.

A new package 'pt-scotch32' would then be the same as 'pt-scotch' but
inherit from 'scotch32' instead of 'scotch'.

Any comments?

Paul.